Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027710
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2014-09-29 15:582014-12-30 23:22
ReporterngarciaView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revision8792ae5475eb
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027710: Process Button access changed when accessing from a subtab

DescriptionProcess Button access changed when accessing from a subtab
Steps To ReproduceAs group admin role:
   Create a new role
   Set the user level to Client+Organization
   Set it as manual
   Set an organization in the Org Access tab
   Set Sales Order window in the Window Access tab:
      Editable Field: Y
      Active: Y
   Set Header tab in the Tab Access tab:
      Editable Field: Y
      Active: Y
   Set Copy From Order field in the Field Access tab:
      Editable Field: N
      Active: Y
   Set Copy Lines field in the Field Access tab:
      Editable Field: N
      Active: Y
   Set Lines tab in the Tab Access tab:
      Editable Field: Y
      Active: Y
   Set Openbravo in User Assignment tab
Log in with that Role:
   Create a new Sales Order window header and line
   Check the Copy from Order button appears inactive when header is selected but it changes to active when selecting a line
TagsNo tags attached.
Attached Files? file icon 27710.export [^] (1,763 bytes) 2014-09-30 17:16

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029816 closedcaristu Process Button access changed when accessing from a subtab 

-  Notes
(0070571)
AugustoMauch (developer)
2014-09-30 17:16

A fix has been attached. It will be pushed to pi once it is available for PR15Q1 changesets.
(0070729)
hgbot (developer)
2014-10-06 10:29

Repository: erp/devel/pi
Changeset: 8792ae5475eb53947430fb13466c7ca478781f2d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Sep 30 17:15:15 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8792ae5475eb53947430fb13466c7ca478781f2d [^]

Fixes issue 27710: Fixes problem defining Field Access for process buttons

The problem was that if several process buttons were defined as not editable in the Field Access tab, then in the subtabs of the tab that own the issue only one of them was being set as read only. This happened because when the button being set as read only was looked for in the subtabs, the property of the button in the main tab was not being compared with the property of the button in the subtab, so the first one disabled was picked.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0070795)
alostale (developer)
2014-10-08 09:13

code reviewed

tested following steps to rerproduce
(0072900)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-09-29 15:58 ngarcia New Issue
2014-09-29 15:58 ngarcia Assigned To => jonalegriaesarte
2014-09-29 15:58 ngarcia Modules => Core
2014-09-29 15:58 ngarcia Triggers an Emergency Pack => No
2014-09-29 16:00 ngarcia Issue Monitored: networkb
2014-09-30 09:22 jonalegriaesarte Assigned To jonalegriaesarte => AugustoMauch
2014-09-30 13:10 AugustoMauch Steps to Reproduce Updated View Revisions
2014-09-30 13:25 ngarcia Steps to Reproduce Updated View Revisions
2014-09-30 17:16 AugustoMauch File Added: 27710.export
2014-09-30 17:16 AugustoMauch Note Added: 0070571
2014-09-30 17:16 AugustoMauch Status new => acknowledged
2014-09-30 17:16 AugustoMauch Status acknowledged => scheduled
2014-09-30 17:16 AugustoMauch fix_in_branch => pi
2014-10-02 11:48 ngarcia Target Version => 3.0PR15Q1
2014-10-02 11:48 ngarcia fix_in_branch pi =>
2014-10-06 10:28 AugustoMauch Issue Monitored: alostale
2014-10-06 10:28 AugustoMauch Review Assigned To => alostale
2014-10-06 10:29 hgbot Checkin
2014-10-06 10:29 hgbot Note Added: 0070729
2014-10-06 10:29 hgbot Status scheduled => resolved
2014-10-06 10:29 hgbot Resolution open => fixed
2014-10-06 10:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8792ae5475eb53947430fb13466c7ca478781f2d [^]
2014-10-08 09:13 alostale Note Added: 0070795
2014-10-08 09:13 alostale Status resolved => closed
2014-10-08 09:13 alostale Fixed in Version => 3.0PR15Q1
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072900
2015-05-07 17:32 ngarcia Relationship added related to 0029816


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker